From 3bba45890985b877b823836e78a1c8ac3c878856 Mon Sep 17 00:00:00 2001
From: Hongxu Jia <hongxu.jia@windriver.com>
Date: Tue, 31 Jul 2018 15:04:29 +0800
Subject: [PATCH 4/4] tweak MODPROBE_CMD for cross compile

Lvm uses variable MODPROBE_CMD at runtime, so build time detection of modprobe
is incorrect.
------
|lvm lvcreate --thinpool wrl/pool00 --size 5556m --config  devices
{ preferred_names=["^/dev/mapper/", "^/dev/md/", "^/dev/sd"]
filter=["r|/loop1$|","r|/loop2$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }
|tmp/sysroots/x86_64-linux/usr/bin/modprobe: execvp failed: No such file or directory
|tmp/sysroots/x86_64-linux/usr/bin/modprobe failed: 2
------

Upstream-Status: Inappropriate [oe specific]

Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
---
 configure.ac | 2 --
 1 file changed, 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index e427708..aa374ea 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1791,8 +1791,6 @@ if test "$BUILD_DMFILEMAPD" = yes; then
 fi
 
 ################################################################################
-AC_PATH_TOOL(MODPROBE_CMD, modprobe, [], [$PATH_SBIN])
-
 if test -n "$MODPROBE_CMD"; then
 	AC_DEFINE_UNQUOTED([MODPROBE_CMD], ["$MODPROBE_CMD"], [The path to 'modprobe', if available.])
 fi
-- 
2.7.4

